Update Affiliate Offer Visibility
curl --request PATCH \
--url https://api.eflow.team/v1/networks/affiliates/{affiliateId}/offers/visibility \
--header 'Content-Type: application/json' \
--header 'X-Eflow-Api-Key: <api-key>' \
--data '
{
"network_offer_ids": [
1,
2,
3
],
"visibility_type": "visible"
}
'import requests
url = "https://api.eflow.team/v1/networks/affiliates/{affiliateId}/offers/visibility"
payload = {
"network_offer_ids": [1, 2, 3],
"visibility_type": "visible"
}
headers = {
"X-Eflow-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-Eflow-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({network_offer_ids: [1, 2, 3], visibility_type: 'visible'})
};
fetch('https://api.eflow.team/v1/networks/affiliates/{affiliateId}/offers/visibility', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": true
}Offer Visibility
Update Affiliate Offer Visibility
PATCH
/
networks
/
affiliates
/
{affiliateId}
/
offers
/
visibility
Update Affiliate Offer Visibility
Update offer visibility for a specific affiliate. Provide a list of offer IDs and the visibility type to set for that affiliate across those offers.
Authorizations
The Everflow API key generated from the Control Center > Security.
Path Parameters
The affiliate ID.
Body
application/json
List of offer IDs on which to set the target visibility_type for the affiliate.
The type of visibility to apply for the affiliate on the specified offers. Values are visible, hidden, and rejected.
Available options:
visible, hidden, rejected Response
200 - application/json
Whether the update was successful.
Was this page helpful?
⌘I
